eftpos Credits
Overview
Use this information to process a credit, which is not linked to a previous sale transaction. A credit with online PIN is not supported currently.
For an overview of supported eftpos transaction types and integrations, required and supported EMV tags, and the pilot-release notice for this service, see eftpos Sale.
Supported Processor
Supported processor: eftpos
Endpoints
POST /pts/v2/credits/
POST /pts/v2/credits/
Example
{ "clientReferenceInformation": { "code": "test123", "comments": "eftpos credit", "transactionId": "uniqueValue1", "partner": { "thirdPartyCertificationNumber": "testTPCN", "developerId": "eftpos12", "solutionId": "eftpos123" } }, "processingInformation": { "commerceIndicator": "retail" }, "orderInformation": { "amountDetails": { "totalAmount": "100.00", "currency": "aud" } }, "pointOfSaleInformation": { "trackData": ";4xxxxxxxxxxx3232=33122201135520000F?", "terminalCapability": "4", "entryMode": "swiped" }, "paymentInformation": { "card": { "type": "070", "sourceAccountType": "SA" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/credits/7580673765346082503814/voids" }, "self": { "method": "GET", "href": "/pts/v2/credits/7580673765346082503814" } }, "clientReferenceInformation": { "code": "test123", "comments": "eftpos credit", "partner": { "developerId": "eftpos12", "solutionId": "eftpos123" }, "transactionId": "uniqueValue1" }, "creditAmountDetails": { "currency": "aud", "creditAmount": "100.00" }, "id": "7580673765346082503814", "orderInformation": { "amountDetails": { "currency": "aud" } }, "paymentAccountInformation": { "card": { "type": "070" } }, "paymentInformation": { "tokenizedCard": { "type": "070" }, "card": { "type": "070" } }, "processorInformation": { "systemTraceAuditNumber": "522495", "retrievalReferenceNumber": "522495025600", "settlementDate": "0917", "responseCode": "00" }, "reconciliationId": "7580673765346082503814", "status": "PENDING", "submitTimeUtc": "2025-09-17T00:02:56Z"}| Field | Description |
|---|---|
aggregatorInformation.aggregatorId | A value is required for a payment aggregator or facilitator. |
clientReferenceInformation.code | — |
clientReferenceInformation.comments | Set the value to eftpos credit. |
clientReferenceInformation.partner.developerId | provides the value for this field. |
clientReferenceInformation.partner.solutionId | provides the value for this field. |
clientReferenceInformation.partner.thirdPartyCertificationNumber | provides the value for this field. |
clientReferenceInformation.transactionId | — |
merchantInformation.transactionLocalDateTime | — |
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
paymentInformation.card.expirationMonth | A value is required for keyed transactions. |
paymentInformation.card.expirationYear | A value is required for keyed transactions. |
paymentInformation.card.number | A value is required for keyed transactions. |
paymentInformation.card.securityCode | A value is required for keyed transactions. |
paymentInformation.card.sourceAccountType | Set the value to CH or SA. |
paymentInformation.card.type | Set the value to 070. |
paymentInformation.paymentAccountReference.id | A value is required when EMV tag 9F24 is configured on the EMV card. |
pointOfSaleInformation.catLevel | A value is required for unattended transactions. |
pointOfSaleInformation.emv.cardSequenceNumber | A value is required when EMV tag 5F34 is configured on the EMV card. |
pointOfSaleInformation.emv.fallback | A value is required for EMV fallback transactions when the payment device is unable to communicate with the EMV card. Include all swiped entry mode required fields. |
pointOfSaleInformation.emv.tags | A value is required for full EMV on contact and contactless entry modes. Tag 5F34 is prohibited. |
pointOfSaleInformation.entryMode | Set the value to contact, contactless, swiped, or keyed. |
pointOfSaleInformation.terminalCapability | A value is required when configuring POS terminal capability. |
pointOfSaleInformation.terminalPinCapability | — |
pointOfSaleInformation.trackData | A value is required for contact, contactless, and swiped entry modes. |
processingInformation.commerceIndicator | Set the value to retail. |
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026